FreeBSD : libsndfile -- out-of-bounds reads (30704aba-1da4-11e8-b6aa-4ccc6adda413)

Medium Nessus Plugin ID 107110

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

Xin-Jiang on Github reports :

CVE-2017-14245 (Medium): An out of bounds read in the function d2alaw_array() in alaw.c of libsndfile 1.0.28 may lead to a remote DoS attack or information disclosure, related to mishandling of the NAN and INFINITY floating-point values.

CVE-2017-14246 (Medium): An out of bounds read in the function d2ulaw_array() in ulaw.c of libsndfile 1.0.28 may lead to a remote DoS attack or information disclosure, related to mishandling of the NAN and INFINITY floating-point values.

my123px on Github reports :

CVE-2017-17456 (Medium): The function d2alaw_array() in alaw.c of libsndfile 1.0.29pre1 may lead to a remote DoS attack (SEGV on unknown address 0x000000000000), a different vulnerability than CVE-2017-14245.

CVE-2017-17457 (Medium): The function d2ulaw_array() in ulaw.c of libsndfile 1.0.29pre1 may lead to a remote DoS attack (SEGV on unknown address 0x000000000000), a different vulnerability than CVE-2017-14246.

Solution

Update the affected packages.

See Also

https://github.com/erikd/libsndfile/issues/317

https://github.com/erikd/libsndfile/issues/344

http://www.nessus.org/u?eafaddd6

Plugin Details

Severity: Medium

ID: 107110

File Name: freebsd_pkg_30704aba1da411e8b6aa4ccc6adda413.nasl

Version: 3.2

Type: local

Published: 2018/03/02

Modified: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:P

CVSS v3.0

Base Score: 8.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:libsndfile, p-cpe:/a:freebsd:freebsd:linux-c6-libsndfile, p-cpe:/a:freebsd:freebsd:linux-c7-libsndfile, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/03/01

Vulnerability Publication Date: 2017/09/11

Reference Information

CVE: CVE-2017-14245, CVE-2017-14246, CVE-2017-17456, CVE-2017-17457